| Flutter Impeller |

Public Member Functions | List of all members
impeller::DiffRoundRectPathSource Class Reference

`#include <round_rect.h>`

Inheritance diagram for impeller::DiffRoundRectPathSource:

## Public Member Functions
| DiffRoundRectPathSource (const RoundRect &outer, const RoundRect &inner)
| ~DiffRoundRectPathSource ()
const RoundRect & | GetOuter () const
const RoundRect & | GetInner () const
FillType | GetFillType () const override
Rect | GetBounds () const override
bool | IsConvex () const override
void | Dispatch (PathReceiver &receiver) const override
Public Member Functions inherited from impeller::PathSource
virtual | ~PathSource ()=default

## Detailed Description

Definition at line 173 of file round_rect.h.

## Constructor & Destructor Documentation

## ◆ DiffRoundRectPathSource()

impeller::DiffRoundRectPathSource::DiffRoundRectPathSource | ( | const RoundRect & | outer,
|  | const RoundRect & | inner
| ) |  |
| explicit

Definition at line 145 of file round_rect.cc.

147 : outer_(outer), inner_(inner) {}

## ◆ ~DiffRoundRectPathSource()

impeller::DiffRoundRectPathSource::~DiffRoundRectPathSource | ( |  | ) |
| default

## Member Function Documentation

## ◆ Dispatch()

void impeller::DiffRoundRectPathSource::Dispatch | ( | PathReceiver & | receiver | ) | const
| overridevirtual

Implements impeller::PathSource.

Definition at line 163 of file round_rect.cc.

163 {
164 outer_.Dispatch(receiver);
165 inner_.Dispatch(receiver);
166 }

Referenced by impeller::testing::TEST().

## ◆ GetBounds()

Rect impeller::DiffRoundRectPathSource::GetBounds | ( |  | ) | const
| overridevirtual

Implements impeller::PathSource.

Definition at line 155 of file round_rect.cc.

155 {
156 return outer_.GetBounds();
157 }
impeller::RoundRect::GetBounds
constexpr const Rect & GetBounds() const
Definition: round_rect.h:53

References impeller::RoundRect::GetBounds().

Referenced by impeller::testing::TEST().

## ◆ GetFillType()

FillType impeller::DiffRoundRectPathSource::GetFillType | ( |  | ) | const
| overridevirtual

Implements impeller::PathSource.

Definition at line 151 of file round_rect.cc.

151 {
152 return FillType::kOdd;
153 }
impeller::FillType::kOdd
@ kOdd

References impeller::kOdd.

Referenced by impeller::testing::TEST().

## ◆ GetInner()

const RoundRect& impeller::DiffRoundRectPathSource::GetInner | ( |  | ) | const
| inline

Definition at line 181 of file round_rect.h.

181 { return inner_; }

## ◆ GetOuter()

const RoundRect& impeller::DiffRoundRectPathSource::GetOuter | ( |  | ) | const
| inline

Definition at line 180 of file round_rect.h.

180 { return outer_; }

## ◆ IsConvex()

bool impeller::DiffRoundRectPathSource::IsConvex | ( |  | ) | const
| overridevirtual

Implements impeller::PathSource.

Definition at line 159 of file round_rect.cc.

159 {
160 return false;
161 }

Referenced by impeller::testing::TEST().

The documentation for this class was generated from the following files:

- impeller/geometry/round_rect.h
- impeller/geometry/round_rect.cc